import 'package:get/get_connect/http/src/response/response.dart';
import 'package:mighty_school/api_handle/api_client.dart';

class DueRepository {
  final ApiClient apiClient;

  DueRepository({required this.apiClient});
  
  Future<Response?> getDue() async {
    return await apiClient.getData("");
  }

  Future<Response?> createDue() async {
    return await apiClient.getData("");
  }

  Future<Response?> editDue() async {
    return await apiClient.getData("");
  }

  Future<Response?> deleteDue() async {
    return await apiClient.getData("");
  }
}
  